AlmaLinux 8 : python3 (ALSA-2022:1986)

high Nessus Plugin ID 161100

Synopsis

The remote AlmaLinux host is missing one or more security updates.

Description

The remote AlmaLinux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the ALSA-2022:1986 advisory.

- A flaw was found in python. An improperly handled HTTP response in the HTTP client code of python may allow a remote attacker, who controls the HTTP server, to make the client script enter an infinite loop, consuming CPU time. The highest threat from this vulnerability is to system availability. (CVE-2021-3737)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://errata.almalinux.org/8/ALSA-2022-1986.html

Plugin Details

Severity: High

ID: 161100

File Name: alma_linux_ALSA-2022-1986.nasl

Version: 1.2

Type: local

Published: 5/12/2022

Updated: 5/12/2022

Risk Information

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: High

Base Score: 7.1

Temporal Score: 5.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-3737

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:alma:linux:platform-python, p-cpe:/a:alma:linux:platform-python-debug, p-cpe:/a:alma:linux:platform-python-devel, p-cpe:/a:alma:linux:python3-idle, p-cpe:/a:alma:linux:python3-libs, p-cpe:/a:alma:linux:python3-test, p-cpe:/a:alma:linux:python3-tkinter, cpe:/o:alma:linux:8

Required KB Items: Host/local_checks_enabled, Host/AlmaLinux/release, Host/AlmaLinux/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 5/10/2022

Vulnerability Publication Date: 9/20/2021

Reference Information

CVE: CVE-2021-3737, CVE-2021-4189

ALSA: 2022:1986